<?
ob_start;
include'../sys/conf.php';
$key=$_GET['der'];$login=$_GET['log'];
header("Location: klan.php?der=$key");
$id =rand(1,99999);$id2=rand(1,99999);$id=$id+$id2;$id="$login";
 $a =rand(1,99999);$a2=rand(1,99999);$a=$a+$a2;

$imgDir = dirname(__file__) . "/imgklan/"; // каталог для хранения изображений  
@mkdir($imgDir, 0777); // создаем каталог, если его еще нет  
if (isset($_POST['doUpload'])) 
{  
$data = $_FILES['userfile'];  
$tmp = $data['tmp_name'];  //это просто для удобства  
if ($_FILES['userfile']['size'] > 1024 * 5 *1024)
{
echo "<p>Слишком большой размер изображения!</p>";
exit();
}
$info = @getimagesize($_FILES['userfile']['tmp_name']); //берем информацию о файле  
 
  if (preg_match('{image/(.*)}is', $info['mime'], $p))
  {  //убеждаемся что файл есть ни что иное как изображение
        
 $newwidth = 160; //в данную переменную мы помещаем желаемую ширину файла  
 $newwidth1 = 160; //в данную переменную мы помещаем желаемую ширину файла
 
 $newname = $imgDir.$id.".".basename($info['mime']);  //осторожно! если файл с таким именем существует, 
                                                                                                    //то он будет перезаписан загружаемым  
                                                                                                
  
if(resize($tmp, $newwidth, $newname)){  
 echo "Изображение было успешно загружено!";  
 }  
 else {  
 echo "Произошла ошибка при загрузке изображения";  
 }  
}  
else {  
echo "Ошибка! Попытка загрузить файл недопустимого формата.";  
}  
}  
 
  function resize($photo_src, $width, $name){  
 $parametr = getimagesize($photo_src);  
 list($width_orig, $height_orig) = getimagesize($photo_src);  
  $ratio_orig = $width_orig/$height_orig;  
 $new_width = $width;  
  $new_height = $width / $ratio_orig;  
 $newpic = imagecreatetruecolor($new_width, $new_height);  
 switch ( $parametr[2] ) {  
  case 1: $image = imagecreatefromgif($photo_src);  
   break;  
   case 2: $image = imagecreatefromjpeg($photo_src);  
   break;  
  case 3: $image = imagecreatefrompng($photo_src);  
   break;  
 }  
 imagecopyresampled($newpic, $image, 0, 0, 0, 0, $new_width, $new_height, $width_orig, $height_orig);  
 imagejpeg($newpic, $name, 100);  
 return true;  
 }
//////////////////////////////////////////////////////////
$f1=basename($info['mime']);
$r="imgklan/$id.$f1";
$sd='<img src="'.$r.'"width="120" height="120">';
mysql_query("UPDATE klan SET logo='$sd' WHERE id='$login'");
?>